### Method

# GUPnP ServiceIntrospection get_action

#### Declaration [src]

    const GUPnPServiceActionInfo*
    gupnp_service_introspection_get_action (
      GUPnPServiceIntrospection* introspection,
      const gchar* action_name
    )

#### Description [src]

Returns the action by the name `action_name` in this service.

#### Parameters

`action_name` | `const gchar*`
| The name of the action to retrieve.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GUPnPServiceActionInfo`
| The action or `NULL`. Do not modify or free it.
| The data is owned by the instance.
| The return value can be `NULL`.